Skip to main content
GET
/
providers
List AI Gateway providers
curl --request GET \
  --url https://api.ngrok.ai/providers \
  --header 'Authorization: Bearer <token>'
{
  "aiGatewayProviders": [
    {
      "id": "<string>",
      "uri": "<string>",
      "providerId": "<string>",
      "name": "<string>",
      "baseUrl": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": "<string>",
        "uri": "<string>"
      },
      "lastUpdatedBy": {
        "id": "<string>",
        "uri": "<string>"
      },
      "metadata": "<string>",
      "supportedApiSurfaces": [
        {
          "format": "<string>",
          "surface": "<string>",
          "supportedParams": [
            {
              "name": "<string>"
            }
          ]
        }
      ],
      "models": [
        {
          "id": "<string>",
          "modelId": "<string>"
        }
      ]
    }
  ],
  "uri": "<string>",
  "nextPageUri": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

beforeId
string

Returns items before this resource identifier in descending ID order.

limit
integer<int32>

Maximum number of items to return. Defaults to 100 and may not exceed 100.

Required range: 1 <= x <= 100

Response

A page of AI Gateway providers.

aiGatewayProviders
object[]
required

The AI Gateway providers for this account.

uri
string
required

URI of this list resource.

nextPageUri
string | null

URI of the next page of results, or null if there is no next page.